/// <reference types="node" />
import { RefCallback } from "react";
import { StoreApi } from "zustand";
import type { PDFSlickState, PDFSlickOptions, PDFException } from "@pdfslick/core";
import PDFSlickViewer from "./PDFSlickViewer";
import { PDFSlickThumbnails } from "./PDFSlickThumbnails";
export { PDFSlickViewer };
export type TUsePDFSlickStore = {
    (): PDFSlickState;
    <T>(selector: (state: PDFSlickState) => T, equals?: ((a: T, b: T) => boolean) | undefined): T;
};
type TUsePDFSlick = (url: string | URL | ArrayBuffer | undefined, options?: PDFSlickOptions) => {
    isDocumentLoaded: boolean;
    viewerRef: RefCallback<HTMLElement>;
    thumbsRef: RefCallback<HTMLElement>;
    store: StoreApi<PDFSlickState>;
    usePDFSlickStore: TUsePDFSlickStore;
    PDFSlickViewer: typeof PDFSlickViewer;
    PDFSlickThumbnails: typeof PDFSlickThumbnails;
    error: PDFException | null;
};
export declare function createStore(store: StoreApi<PDFSlickState>): {
    (): PDFSlickState;
    <T>(selector: (state: PDFSlickState) => T, equals?: ((a: T, b: T) => boolean) | undefined): T;
};
/**
 *
 * @param url PDF Document path
 * @param options PDFSlick Options
 * @returns
 */
export declare const usePDFSlick: TUsePDFSlick;
//# sourceMappingURL=usePDFSlick.d.ts.map